- entityDefinitions:
  - IDM_ClassTaskStart: '{93b8830a-1eb6-4dfe-a5d0-23f61c1ca262}'

  - IDM_Class__respond_with__Class_Edit: '{bceb5e0e-cbc3-4166-991e-b6389a7e4253}'
  - IDMB_Class__respond_with__Class_Edit: '{eae97f79-a5d6-4f99-8ce0-4b4c5d641631}'

- library: '&IDL_MochaBaseSystem;'
  instances:
    - controlTransactionMethod: '&IDM_ClassTaskStart;'
      buildsResponseWithBRMB: '&IDMB_Class__respond_with__Class_Edit;'
    
    - buildUIResponseMethod: '&IDM_Class__respond_with__Class_Edit;'
      forClassId: '&IDC_Class;'
      verb: 'respond with'
      name: 'Class Edit'
      accessModifierId: '&IDI_AccessModifier_RootA2;'
      usesExecutableReturningElement: '&IDE_EditClass;'

    - buildResponseMethodBinding: '&IDMB_Class__respond_with__Class_Edit;'
      executesMethod: '&IDM_Class__respond_with__Class_Edit;'